# Module: ActionView::Helpers::TextHelper

Defined in:
  lib/haml/helpers/action_view_xss_mods.rb

## Instance Method Summary collapse

- #concat_with_haml_xss(string) (also: #concat)
- #safe_concat_with_haml_xss(string) (also: #safe_concat)

## Instance Method Details

### #concat_with_haml_xss(string) Also known as: concat

    39
    40
    41
    42
    43
    44
    45

    # File 'lib/haml/helpers/action_view_xss_mods.rb', line 39

    def concat_with_haml_xss(string)
      if is_haml?
        haml_buffer.buffer.concat(haml_xss_html_escape(string))
      else
        concat_without_haml_xss(string)
      end
    end

### #safe_concat_with_haml_xss(string) Also known as: safe_concat

    49
    50
    51
    52
    53
    54
    55

    # File 'lib/haml/helpers/action_view_xss_mods.rb', line 49

    def safe_concat_with_haml_xss(string)
      if is_haml?
        haml_buffer.buffer.concat(string)
      else
        safe_concat_without_haml_xss(string)
      end
    end